> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/saudi-arabia.md).

# Saudi Arabia

## <mark style="color:purple;">Wallets</mark>

* payout\_method.type = wallet
* payout\_method.payment\_method = wallets

| payout\_method\_details Parameter | Type   | Required | Description                                                             |
| --------------------------------- | ------ | -------- | ----------------------------------------------------------------------- |
| phone\_number                     | string | Yes      | [E164 format](https://www.globalcallforwarding.com/blog/what-is-e-164/) |
| bank\_code                        | string | Yes      | “STCPAY”                                                                |

### <mark style="color:purple;">Example Wallet Payload</mark>

{% tabs %}
{% tab title="Example Request" %}

```javascript
{
  "payout_method": {
    "type": "wallet",
    "payment_method": "wallets",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "phone_number": "+966123456789",
        "bank_code": "STCPAY"
      }
    }
  },
  "amount": {
    "value": 500,
    "currency_code": "SAR"
  },
  "country_code": "SA",
  "purpose": "salaries",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="Example Response" %}

```python
{
    "purpose": "SALARIES",
    "reference": null,
    "id": "a7cd5204-9a8d-4136-8813-86016aa72f5b",
    "payout_method": {
        "type": "wallet",
        "payment_method": "sa_wallets",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 500,
        "currency_code": "SAR"
    },
    "country_code": "SA",
    "request_id": "unique_request_id",
    "created_at": 1710128069
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">Bank Transfer</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

| payout\_method\_details Parameter | Type   | Required | Description                                           |
| --------------------------------- | ------ | -------- | ----------------------------------------------------- |
| account\_name                     | string | Yes      | Max 255 char. Send the same value as beneficiary.name |
| account\_number                   | string | Yes      | IBAN. 24 char. E.g. SA0380000000608010167519          |
| bank\_code                        | string | Yes      | See “Saudi Arabia Bank Codes” below                   |

### <mark style="color:purple;">Example Bank Transfer Payload</mark>

{% tabs %}
{% tab title="Example Request" %}

```javascript
{
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "bank_transfer",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "account_name": "John Doe",
        "account_number": "SA0380000000608010167519",
        "bank_code": "SNBK"
      }
    }
  },
  "amount": {
    "value": 1000,
    "currency_code": "SAR"
  },
  "country_code": "SA",
  "purpose": "revenue_share",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="Example Response" %}

```python
{
    "purpose": "REVENUE_SHARE",
    "reference": null,
    "id": "ff3aa74a-402b-44b9-8665-a4e09dea2da3",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "sa_bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 1000,
        "currency_code": "SAR"
    },
    "country_code": "SA",
    "request_id": "unique_request_id",
    "created_at": 1709279556
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">Saudi Arabia Bank Codes</mark>

| Type          | Name                                           | Bank Code |
| ------------- | ---------------------------------------------- | --------- |
| Wallet        | STC Pay                                        | STCPAY    |
| Bank Transfer | Saudi National Bank                            | SNBK      |
|               | Al Rajhi Bank                                  | RJHI      |
|               | Riyad Bank                                     | RIBL      |
|               | Saudi Awwal Bank                               | SABB      |
|               | Arab National Bank                             | ARNB      |
|               | alinma bank                                    | INMA      |
|               | Banque Saudi Fransi                            | BSFR      |
|               | Saudi Investment Bank                          | SIBC      |
|               | Bank AlJazira                                  | BJAZ      |
|               | Bank AlBilad                                   | ALBI      |
|               | Gulf International Bank Saudi Arabia (GIB-SA)  | GULF      |
|               | STC bank                                       | STCJ      |
|               | Emirates NBD                                   | EBIL      |
|               | National Bank of Bahrain (NBB)                 | NBOB      |
|               | National Bank of Kuwait (NBK)                  | NBOK      |
|               | Muscat Bank                                    | BMUS      |
|               | Deutsche Bank                                  | DEUT      |
|               | BNP Paribas                                    | BNPA      |
|               | J.P. Morgan Chase N.A                          | JPMG      |
|               | National Bank Of Pakistan (NBP)                | NBPA      |
|               | T.C.ZIRAAT BANKASI A.S.                        | TCZB      |
|               | Industrial and Commercial Bank of China (ICBC) | ICBK      |
|               | Qatar National Bank                            | QNBA      |
|               | MUFG Bank, Ltd.                                | BOTK      |
|               | First Abu Dhabi Bank                           | FABM      |
|               | Credit Suisse Bank                             | CRES      |
|               | Standard Chartered Bank                        | SCBL      |
|               | National Bank of Iraq                          | NBIQ      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/saudi-arabia.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
